/* 
 * File:   main.c
 * Author: mudromar
 *
 * Created on May 10, 2013, 7:54 AM
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

/*
 * 
 */


typedef enum {UCITEL,STUDENT} Ttyp;

typedef struct osoba{
    char jmeno[20];
    char prijmeni[20];
    float prumer;    
    char datum[15];
    Ttyp typ;
} Tosoba, *Posoba;


typedef struct polozka{
    Tosoba data;
    struct polozka *dalsi;
} Tpolozka, *Ppolozka;

void vypis(Tosoba p1){
    printf("%s %s, %s, nar. %s, prumer=%.2f\n",p1.jmeno,p1.prijmeni,(p1.typ==UCITEL)?"ucitel":"student",p1.datum,p1.prumer);
}
void vypis_seznam(Ppolozka start){    
    while (start!=NULL){
        vypis(start->data);
        start=start->dalsi;
    }
}

Ppolozka vloz(Ppolozka start, Tosoba os){
    Ppolozka nova = (Ppolozka) malloc (sizeof(Tpolozka));
    nova->data=os;
    nova->dalsi=start;    
    return nova;
}

int main(int argc, char** argv) {
    Tosoba os1;
    Ppolozka start = NULL; 
   
    strcpy(os1.jmeno,"Jan");
    strcpy(os1.prijmeni,"Vocasek");
    os1.prumer=4.5;
    strcpy(os1.datum,"01/01/1990");        
    os1.typ=STUDENT;
    vypis(os1);    
    start=vloz(start,os1);
    printf("Vypis seznamu:\n");
    vypis_seznam(start);
    printf("---\n");
    
    strcpy(os1.jmeno,"Petr");
    strcpy(os1.prijmeni,"Novak");
    os1.prumer=3.5;
    strcpy(os1.datum,"02/02/2000");        
    os1.typ=UCITEL;
    vypis(os1);   
    
    start=vloz(start,os1);
    printf("Vypis seznamu:\n");
    vypis_seznam(start);
    printf("---\n");
    
    
    return (EXIT_SUCCESS);
}

